Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: [SOLVED] Sparky 32bit - balenaetcher  (Read 464 times)

Offline herndon.jeffreys

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-0
[SOLVED] Sparky 32bit - balenaetcher
« on: October 06, 2020, 03:55:01 pm »
I have been trying to install balenaetcher from the repository via Synaptic.  It keeps giving me an error.  I have also tried it with Aptus. Same result.  I noticed the version in the repository is outdated 1.5.73.  The current version is 1.5.105.  I can install it via Github, but when I do, the updater wants to downgrade the package to 1.5.73 and attempts to download it over and over and over again.  Any thoughts?
« Last Edit: October 09, 2020, 09:17:37 pm by herndon.jeffreys »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2149
  • Karma: +2/-0
    • SparkyLinux
Re: Sparky 32bit - balenaetcher
« Reply #1 on: October 06, 2020, 04:50:29 pm »
It is not possible.
There is balena-etcher-electron 1.5.109 in Sparky repos.
Refresh package list and show me the output:
Code: [Select]
sudo apt update
apt policy balena-etcher-electron
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux at irc.freenode.net

Offline herndon.jeffreys

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-0
Re: Sparky 32bit - balenaetcher
« Reply #2 on: October 07, 2020, 05:01:45 am »
Here it is!  Thanks for responding!  Currently, I have used apt-mark hold on balenaetcher so I can otherwise upgrade system.  Here is what you asked for

Code: [Select]
herndon@herndon-pc:~$ sudo apt update
[sudo] password for herndon:
Ign:1 http://security.debian.org testing/updates InRelease
Err:2 http://security.debian.org testing/updates Release   
  404  Not Found [IP: 2a04:4e42:3b::204 80]
Hit:3 http://ftp.debian.org/debian testing InRelease       
Hit:4 https://brave-browser-apt-release.s3.brave.com stable InRelease
Hit:6 http://www.deb-multimedia.org testing InRelease       
Hit:7 http://download.opensuse.org/repositories/home:/stevenpusser/Debian_10  InRelease
Hit:8 https://download.jitsi.org stable/ InRelease         
Get:9 https://repo.sparkylinux.org core InRelease [3,587 B]
Get:10 https://repo.sparkylinux.org stable InRelease [3,575 B]
Ign:5 https://dl.bintray.com/etcher/debian stable InRelease
Get:11 https://dl.bintray.com/etcher/debian stable Release [3,674 B]
Err:9 https://repo.sparkylinux.org core InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 5CA76B26C40956B8
Err:10 https://repo.sparkylinux.org stable InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 5CA76B26C40956B8
Reading package lists... Done
E: The repository 'http://security.debian.org testing/updates Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.sparkylinux.org core InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 5CA76B26C40956B8
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.sparkylinux.org stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 5CA76B26C40956B8
Code: [Select]
herndon@herndon-pc:~$ apt policy balena-etcher-electron
balena-etcher-electron:                                     
  Installed: 1.5.109                                         
  Candidate: 1.5.73                                         
  Version table:                                             
 *** 1.5.109 100                                             
        100 /var/lib/dpkg/status                             
     1.5.100 500                                             
        500 https://deb.etcher.io stable/etcher i386 Packages
     1.5.76 500                                             
        500 https://deb.etcher.io stable/etcher i386 Packages
     1.5.73 1001                                             
       1001 https://repo.sparkylinux.org core/main i386 Packa
     1.5.51 500                                             
        500 https://deb.etcher.io stable/etcher i386 Packages
     1.5.19 500
        500 https://deb.etcher.io stable/etcher i386 Packages
     1.4.9 500
        500 https://deb.etcher.io stable/etcher i386 Packages
herndon@herndon-pc:~$
« Last Edit: October 07, 2020, 08:04:26 am by lami07 »

Offline herndon.jeffreys

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-0
Re: Sparky 32bit - balenaetcher
« Reply #3 on: October 09, 2020, 04:37:23 pm »
Ok...

I think this must be a keyring issue.  I tried installing the new one, but I am still getting the same error.   Here is what I did.

First I tried

wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo apt-key add -

then ran sudo apt update...  No luck  NO_PUBKEY 5CA76B26C40956B8

Then, I downloaded the .deb file and tried to install it...  No luck when I ran sudo apt update.  Got the same error NO_PUBKEY 5CA76B26C40956B8

Then, I downloaded the sparky keyring file sparky.gpg.key (dated 2/3/20) and installed it directly to both usr/share/keyring AND etc/apt/trusted.gpg.d/   Same error NO_PUBKEY 5CA76B26C40956B8

I am basing my actions on post https://forum.sparkylinux.org/index.php/topic,5188.msg13705.html

Please help

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2149
  • Karma: +2/-0
    • SparkyLinux
Re: Sparky 32bit - balenaetcher
« Reply #4 on: October 09, 2020, 05:54:32 pm »
Try:
Code: [Select]
wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo apt-key add -and:
Code: [Select]
wget -O - https://repo.sparkylinux.org/sparkylinux.gpg.key | sudo apt-key add -then:
Code: [Select]
sudo apt update
and check Sparky keys:
Code: [Select]
sudo apt-key list | grep Sparky
« Last Edit: October 09, 2020, 05:56:10 pm by pavroo »
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux at irc.freenode.net

Offline herndon.jeffreys

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-0
Re: Sparky 32bit - balenaetcher
« Reply #5 on: October 09, 2020, 08:52:34 pm »
After the first step, I got an error message.  Here it is
Code: [Select]
herndon@herndon-pc:~$ wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo apt-key add -
--2020-10-09 14:54:08--  https://repo.sparkylinux.org/sparky.gpg.key
[sudo] password for herndon: Resolving repo.sparkylinux.org (repo.sparkylinux.org)... 193.107.89.176
Connecting to repo.sparkylinux.org (repo.sparkylinux.org)|193.107.89.176|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1794 (1.8K) [application/octet-stream]
Saving to: ‘STDOUT’

-               100%[====>]   1.75K  --.-KB/s    in 0s     

2020-10-09 14:54:10 (45.9 MB/s) - written to stdout [1794/1794]


Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
gpg: invalid key resource URL '/etc/apt/trusted.gpg.d/home:stevenpusser.gpg'
gpg: keyblock resource '(null)': General error
gpg: key FC918B335044912E: 2 signatures not checked due to missing keys
gpg: key 9AE4078033F8024D: 1 signature not checked due to a missing key
gpg: key DC30D7C23CBBABEE: 4 signatures not checked due to missing keys
gpg: key 4DFAB270CAA96DFA: 4 signatures not checked due to missing keys
gpg: key DCC9EFBF77E11517: 2 signatures not checked due to missing keys
gpg: key 7638D0442B90D010: 4 signatures not checked due to missing keys
gpg: key 9D6D8F6BC857C906: 4 signatures not checked due to missing keys
gpg: key CBF8D6FD518E17E1: 2 signatures not checked due to missing keys
gpg: key E0B11894F66AEC98: 5 signatures not checked due to missing keys
gpg: key EDA0D2388AE22BA9: 5 signatures not checked due to missing keys
gpg: key EF0F382A1A7B6500: 2 signatures not checked due to missing keys
gpg: key 5C808C2B65558117: 12 signatures not checked due to missing keys
gpg: key 0FAD31CA8719FCE4: 1 signature not checked due to a missing key
gpg: Total number processed: 28
gpg:       skipped new keys: 28

Thanks for your help!
« Last Edit: October 09, 2020, 09:04:01 pm by lami07 »

Offline herndon.jeffreys

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-0
Re: Sparky 32bit - balenaetcher
« Reply #6 on: October 09, 2020, 09:09:55 pm »
After removing Pale Moon repository and tried again, here is the response:

Code: [Select]
herndon@herndon-pc:~$ wget -O - https://repo.sparkylinux.org/sparky.gpg.key | sudo apt-key add -
--2020-10-09 15:04:03--  https://repo.sparkylinux.org/sparky.gpg.key
[sudo] password for herndon: Resolving repo.sparkylinux.org (repo.sparkylinux.org)... 193.107.89.176
Connecting to repo.sparkylinux.org (repo.sparkylinux.org)|193.107.89.176|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1794 (1.8K) [application/octet-stream]
Saving to: ‘STDOUT’

-               100%[====>]   1.75K  --.-KB/s    in 0s     

2020-10-09 15:04:04 (29.2 MB/s) - written to stdout [1794/1794]


Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
OK
herndon@herndon-pc:~$ wget -O - https://repo.sparkylinux.org/sparkylinux.gpg.key | sudo apt-key add -
--2020-10-09 15:04:45--  https://repo.sparkylinux.org/sparkylinux.gpg.key
Resolving repo.sparkylinux.org (repo.sparkylinux.org)... 193.107.89.176
Connecting to repo.sparkylinux.org (repo.sparkylinux.org)|193.107.89.176|:443... Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
connected.
HTTP request sent, awaiting response... 200 OK
Length: 1748 (1.7K) [application/octet-stream]
Saving to: ‘STDOUT’

-               100%[====>]   1.71K  --.-KB/s    in 0s     

2020-10-09 15:04:46 (15.1 MB/s) - written to stdout [1748/1748]

OK
herndon@herndon-pc:~$ sudo apt update
Hit:1 http://ftp.debian.org/debian testing InRelease       
Ign:2 http://security.debian.org testing/updates InRelease 
Hit:3 http://www.deb-multimedia.org testing InRelease       
Err:4 http://security.debian.org testing/updates Release   
  404  Not Found [IP: 2a04:4e42:d::204 80]
Get:5 https://repo.sparkylinux.org core InRelease [3,587 B]
Get:6 https://repo.sparkylinux.org stable InRelease [3,491 B]
Get:7 https://repo.sparkylinux.org core/main Sources [77.1 kB]
Get:8 https://repo.sparkylinux.org core/main i386 Packages [103 kB]
Reading package lists... Done                               
E: The repository 'http://security.debian.org testing/updates Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
herndon@herndon-pc:~$ sudo apt-key list | grep Sparky
Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
uid           [ unknown] SparkyLinux (SparkyLinux public key) <pavroo@onet.eu>
uid           [ unknown] Paweł Pijanowski (SparkyLinux repository public key) <pavroo@onet.eu>
herndon@herndon-pc:~$

Thanks for your continuing help.  Hern

« Last Edit: October 10, 2020, 01:34:29 am by lami07 »

Offline herndon.jeffreys

  • Newbie
  • *
  • Posts: 13
  • Karma: +0/-0
Re: Sparky 32bit - balenaetcher [SOLVED]
« Reply #7 on: October 09, 2020, 09:14:40 pm »
My repositories just updated to show the latest version of balenaetcher, so looks like I am good.  Thank you so much!!!